﻿function deviceReady(){
    "use strict";
    getIndexBanner();
    getIndexTechnologyList();//获得首页知识库列表
    indexlickphotosClass();//获得首页图库列表
}

//获得首页的banner
function getIndexBanner() {"use strict";
    var failed = function(data) {
        var datas = JSON.parse(data).datas.error;
        myalert2(datas, 800);
//        $("#indexcontent3").show();
    };
    var succeed = function(data) {
        var mainDiv = $("#indexslide");
        mainDiv.empty();
        var mainDiv2 = $("#pointer");
        mainDiv2.empty();
        var record = JSON.parse(data).datas.banner;
        for (var i in record) {
            mainDiv.append('<div><img src="' + record[i].item_data.image + '"></div>');
            if (i == 0) {
                mainDiv2.append('<a class="active"></a>');
            } else {
                mainDiv2.append('<a></a>');
            }
        }
        //mainDiv.append('<div><img src="' + record[0].item_data.image + '"></div>');
        //mainDiv2.append('<a class="active"></a>');
        //$(".slideLoading").hide();
        setTimeout(function(){
            initSlide();

        },900);
        //initSlide();
    };
    var param = {
        "size" : 3
    };
    beginAsyncAjax("/mobile/index.php?act=index&op=get_banner", param, "get", succeed, failed);
}

//首页顶部轮播的初始化
function initSlide() {
    isStartpic = 1;
    //window.mySwipe = Swipe(document.getElementById('slider'));
    var slide = $('#slide');
    var $pointer = $('#pointer').find("a");
    /*startSlide Integer (default:0) - index position Swipe should start at（滑动的索引值,即从*值开始滑动，默认值为0）
     speed Integer (default:300) - speed of prev and next transitions in milliseconds.（滑动的速度，默认值300毫秒）
     auto Integer - begin with auto slideshow (time in milliseconds between slides)（自动滑动，单位为毫秒）
     continuous Boolean (default:true) - create an infinite feel with no endpoints（是否循环滑动，默认值为true）
     disableScroll Boolean (default:false) - stop any touches on this container from scrolling the page（停止任何触及此容器上滚动页面，默认值flase）
     stopPropagation Boolean (default:false) - stop event propagation（停止事件传播,默认值flase）*/
    var mySlide = Swipe(document.getElementById('slide'), {
        startSlide : 0,
        auto : 3000,
        continuous : true,
        disableScroll : false, //停止任何触及此容器上滚动页面，默认值flase
        stopPropagation : false,
        callback : function(index, element) {
            var $actPoint = $('#pointer').find('a.active');
            $actPoint.removeClass('active');
            $pointer.eq(index).addClass('active');
        },
        transitionEnd : function(index, element) {

        }
    });
}

//获得首页知识库列表
function getIndexTechnologyList() {"use strict";
    var failed = function(data) {
        var datas = JSON.parse(data).datas.error;
        myalert2(datas);
    };
    var succeed = function(data) {
        var mainDiv = $("#indexknowledge");
        mainDiv.empty();
        var record = JSON.parse(data).datas.list;
        var string='';
        for (var i in record) {
            var stringimg='';
            if(record[i].article_image==null||record[i].article_image=='null'){
                stringimg=  '  <img src="imageslin/content/img_01.png" style="width:80px">';
            }else{
                stringimg=  '  <img src="'+record[i].article_image+'" style="width:80px">';
            }
            var wid=document.documentElement.clientWidth-100+'px';
            string+=
                ' <div class="pt10 pb10 borderB" onclick="indextechnologyGoToDetail(' + record[i].article_id + ');">'+
                    ' <span class="pullLeft">'+
                    stringimg+
                    ' </span>'+
                    '  <span class="span8 pullLeft pl10" style="width: '+wid+'">'+
                    ' <p class="fs16 colorBlack">'+record[i].article_title+'</p>'+
//                        ' <p class="fs14 lh20">'+record[i].article_abstract+'</p>'+
                '  </span>'+
                ' <div class="clear"></div>'+
                '</div>'
        }
        mainDiv.append(string);
    };
    var param = {
        "pagesize" : 3,
        "article_commend_flag":1
    };
    beginAsyncAjax("/mobile/index.php?act=cms_article&op=article_index", param, "get", succeed, failed);
}

//点击列表详情跳转到详情页面
function indextechnologyGoToDetail(article_id){
    sessionStorageset('technology_article_id',article_id);
    goToDetail('technologydetail');
}

//获得图库的数据列表
var eachpagenum=10;
var totalPage_tech=0;
var nowPage_tech=1;
//点击头部过滤条件获得图片
function indexlickphotosClass(){
    "use strict";
    var type=sessionStorageget("phototype");
    nowPage_tech=1;
    var failed = function(data){

    };
    var succeed = function(data){
        data=JSON.parse(data);
        totalPage_tech=data.page_total;
        var record = data.datas.list;
        var wid=(document.documentElement.clientWidth-30)*0.5+'px';
        var maindiv='';
        maindiv=$("#indexpicture_list");
        maindiv.empty();
        var str='';
        if(record==''||record=='null'||record==null||record==undefined|| record.length==0|| record==0|| record=="0"){
           $("#tukumain").empty();
        }else {
            for (var i in record) {
                if(i%2==0){
                    str+='<div class="span12" ><div class="  pullLeft pt10 " style="width:'+wid+'" onclick="pictureshow(' + record[i].picture_id + ')">' +
                    '<img src="' + record[i].picture_image.name + '" style="width:'+wid+'">' +
                    '  <p class=" marAuto  fs14 lh20 onelintext tac"  style="width:'+wid+'">'+record[i].picture_title+'</p>'+
                    ' </div>'
                }else{//奇数
                    str+='<div class="  pullRight pt10 " style="width:'+wid+'" onclick="pictureshow(' + record[i].picture_id + ')">' +
                    '<img src="' + record[i].picture_image.name + '" style="width:'+wid+'">' +
                    '  <p class=" marAuto  fs14 lh20  onelintext tac"  style="width:'+wid+'">'+record[i].picture_title+'</p>'+
                    ' </div>' +
                    ' </div>'
                }

            }
            maindiv.append(str);
        }
    };
    var param={
        pagesize:12,
        curpage:nowPage_tech
    };
    beginAsyncAjax('/mobile/index.php?act=cms_picture&op=get_picture_list',param,'get',succeed,failed);
}

function pictureshow(picture_id){
    "use strict";
    nowPage_tech=1;
    var failed = function(data){

    };
    var succeed = function(data){
        data=JSON.parse(data);
        totalPage_tech=data.page_total;
        var record = data.datas.detail;
        var record2 = data.datas.detail.image_list;
        var maindiv='';
        maindiv=$("#cms_pictureshow");
        maindiv.empty();
        var str='';
        for(var i in record2){
            str+= ' <p class="" >'+
            '  <img src="'+record2[i].image_name+'" alt="'+record2[i].image_abstract+'" data-preview-src="" data-preview-group="'+picture_id+'" />'+
            ' </p>'

        }

        maindiv.append(
            '<div class="mui-content" >' +
            ' <div class="mui-content-padded">' +
            str+
            '   </div>' +
            ' </div>'
        );

       var temp =  mui.previewImage();
        temp.open(0, picture_id);
        $(".")
    };
    var param={
        "picture_id":picture_id
    };
    beginAsyncAjax('/mobile/index.php?act=cms_picture&op=show',param,'get',succeed,failed);

}

//显示底部的描述
function showImage_abstract(index){
    var tempArrays=sessionStorageget("tempArrays");
    var obj2 = tempArrays.split("/");
    $('.mui-preview-footer ').html('<div class="colorW fs16 plr10 span12" >'+ obj2[index] +'</div>');
    $('.mui-preview-footer ').removeClass("mui-hidden");
    $('.mui-preview-footer ').addClass("mui-show");
}

//显示文字介绍详情
function showabstractDetail(){
    var imgindex=sessionStorageget("imgindex");
    var tempArrays=sessionStorageget("tempArrays");
    var obj2 = tempArrays.split("/");
    appalert(obj2[imgindex]);
    //$("#maskmain").html(obj2[imgindex]);
    //$("#loginoutalert").show();

}



